%global provider_prefix code
%global provider        google
%global provider_tld    com
%global project         p
%global repo            gcfg
%global commit          c2d3050044d05357eaf6c3547249ba57c5e235cb

%global import_path     %{provider_prefix}.%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global setupcommit     %(c=%{commit}; echo ${c:0:12})
%global debug_package   %{nil}

Name:           golang-%{provider}%{provider_prefix}-%{repo}
Version:        0
Release:        0.5.git%{shortcommit}%{?dist}
Summary:        Gcfg reads INI-style configuration files into Go structs
License:        BSD
URL:            http://%{import_path}
Source0:        https://gcfg.googlecode.com/archive/%{commit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}.

%package devel
Requires:       golang >= 1.2.1-3
BuildRequires:  golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/scanner) = %{version}-%{release}
Provides:       golang(%{import_path}/token) = %{version}-%{release}
Provides:       golang(%{import_path}/types) = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n %{repo}-%{setupcommit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go  %{buildroot}/%{gopath}/src/%{import_path}/
for d in scanner token types testdata; do
        cp -pav $d %{buildroot}/%{gopath}/src/%{import_path}/
done

%check
GOPATH=%{buildroot}%{gopath}:%{gopath} go test %{import_path}
GOPATH=%{buildroot}%{gopath}:%{gopath} go test %{import_path}/scanner
GOPATH=%{buildroot}%{gopath}:%{gopath} go test %{import_path}/token
GOPATH=%{buildroot}%{gopath}:%{gopath} go test %{import_path}/types

%files devel
%doc LICENSE README
%dir %{gopath}/src/%{import_path}
%attr(664,-,-) %{gopath}/src/%{import_path}/*.go
%dir %{gopath}/src/%{import_path}/scanner
%{gopath}/src/%{import_path}/scanner
%dir %{gopath}/src/%{import_path}/token
%attr(664,-,-) %{gopath}/src/%{import_path}/token/*.go
%dir %{gopath}/src/%{import_path}/types
%attr(664,-,-) %{gopath}/src/%{import_path}/types/*.go
%dir %{gopath}/src/%{import_path}/testdata
%attr(664,-,-) %{gopath}/src/%{import_path}/testdata/*.gcfg

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gitc2d3050
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 22 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.gitc2d3050
- Choose the correct architecture
- Add missing tests
  related: #1141880

* Tue Oct 07 2014 jchaloup <jchaloup@redhat.com> - 0-0.3.gitc2d3050
- updating summary of devel subpackage

* Fri Sep 12 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2gitc2d3050
- don't own dirs owned by golang
- preserve timestamps
- noarch

* Fri Sep 12 2014 Eric Paris <eparis@redhat.com - 0.0.0-0.1.gitc2d30500
- Bump to upstream c2d3050044d05357eaf6c3547249ba57c5e235cb

